| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
PathGraphicObjectProperties Interface Reference
UIExtension » addons » advanced_edit » page_editor

Defines editable properties for path objects in the Page Editor. More...

Inheritance diagram for PathGraphicObjectProperties:

## Public Attributes
number | shapeStyleDashType
| The dash type of the shape's style line. Supported values are: 1|Solid, 2|Dash1, 3|Dash2, 4|Dash3, 5|Dash4, 6|Dash5, 7|Dash6. More...
string | shapeStyleFillColor
| The fill color of the shape's style. More...
number | shapeStyleLineCap
| The line cap style of the shape's style line. Supported values are: 0|Butt, 1|Round, 2|Projecting Square Cap. More...
string | shapeStyleLineColor
| The color of the shape's style lines. More...
number | shapeStyleLineJoin
| The line join style of the shape's style line. Supported values are: 0|Miter, 1|Round, 2|Bevel. More...
number | shapeStyleLineWidth
| The line width of the shape's style. More...
number | shapeStyleMiterLimit
| The miter limit of the shape's style line. More...

## Detailed Description

Defines editable properties for path objects in the Page Editor.

This interface extends PageGraphicsObjectProperties and provides a set of properties that can be edited for path objects.

Since
  9.2.0

## Member Data Documentation

## ◆ shapeStyleDashType

number PathGraphicObjectProperties::shapeStyleDashType

The dash type of the shape's style line. Supported values are: 1|Solid, 2|Dash1, 3|Dash2, 4|Dash3, 5|Dash4, 6|Dash5, 7|Dash6.

Since
  9.2.0

## ◆ shapeStyleFillColor

string PathGraphicObjectProperties::shapeStyleFillColor

The fill color of the shape's style.

Since
  9.2.0

## ◆ shapeStyleLineCap

number PathGraphicObjectProperties::shapeStyleLineCap

The line cap style of the shape's style line. Supported values are: 0|Butt, 1|Round, 2|Projecting Square Cap.

Since
  9.2.0

## ◆ shapeStyleLineColor

string PathGraphicObjectProperties::shapeStyleLineColor

The color of the shape's style lines.

Since
  9.2.0

## ◆ shapeStyleLineJoin

number PathGraphicObjectProperties::shapeStyleLineJoin

The line join style of the shape's style line. Supported values are: 0|Miter, 1|Round, 2|Bevel.

Since
  9.2.0

## ◆ shapeStyleLineWidth

number PathGraphicObjectProperties::shapeStyleLineWidth

The line width of the shape's style.

Since
  9.2.0

## ◆ shapeStyleMiterLimit

number PathGraphicObjectProperties::shapeStyleMiterLimit

The miter limit of the shape's style line.

Since
  9.2.0

@2026 Foxit Software Incorporated. All rights reserved.